<?php

/**
 * Fired during plugin activation
 *
 * @link       http://hyperxmedia.com
 * @since      1.0.0
 *
 * @package    Marketo_forms
 * @subpackage Marketo_forms/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Marketo_forms
 * @subpackage Marketo_forms/includes
 * @author     HyperX Media <sarmstrong@hyperxmedia.com>
 */
class Marketo_forms_Activator {
	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		global $wpdb, $cur_version;

		// Create tables in db
		$charset_collate = $wpdb->get_charset_collate();

		$table_name = $wpdb->prefix . "ult_marketo_forms";
		$sql = "CREATE TABLE $table_name (
			`id` int(11) NOT NULL AUTO_INCREMENT,
			`form_name` varchar(255) DEFAULT NULL,
			`form_id` int(11) DEFAULT NULL,
			`settings` longtext,
			`status` varchar(20) DEFAULT NULL,
			`data_options` longtext,
			`ty_options` longtext,
			`style_id` int(11) DEFAULT 0,
			`host_link` varchar(255) DEFAULT NULL,
			PRIMARY KEY (`id`)
		) $charset_collate;";

		$table_name = $wpdb->prefix . "ult_marketo_forms_styles";
		$sql.= "CREATE TABLE $table_name (
			`id` int(11) NOT NULL AUTO_INCREMENT,
			`style_name` varchar(100) DEFAULT NULL,
			`style` text,
			PRIMARY KEY (`id`)
		) $charset_collate;";

		require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
		dbDelta( $sql );



		// Add version for future changes
		update_option( 'ult_marketo_forms_db_version', $cur_version );
	}




}
